Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Types | Private Attributes | List of all members
OpenVolumeMesh::BoundaryHalfFaceHalfFaceIter Class Reference
Inheritance diagram for OpenVolumeMesh::BoundaryHalfFaceHalfFaceIter:

## Public Member Functions
| BoundaryHalfFaceHalfFaceIter (const HalfFaceHandle &_ref_h, const TopologyKernel *_mesh, int _max_laps=1)
BoundaryHalfFaceHalfFaceIter | operator++ (int)
BoundaryHalfFaceHalfFaceIter | operator-- (int)
BoundaryHalfFaceHalfFaceIter | operator+ (int _n)
BoundaryHalfFaceHalfFaceIter | operator- (int _n)
BoundaryHalfFaceHalfFaceIter & | operator+= (int _n)
BoundaryHalfFaceHalfFaceIter & | operator-= (int _n)
const EdgeHandle & | common_edge () const
BoundaryHalfFaceHalfFaceIter & | operator++ ()
BoundaryHalfFaceHalfFaceIter & | operator-- ()
Public Member Functions inherited from OpenVolumeMesh::BaseCirculator< HalfFaceHandle, HalfFaceHandle >
| BaseCirculator (const TopologyKernel *_mesh, const HalfFaceHandle &_ih, const HalfFaceHandle &_oh, int _max_laps=1)
| BaseCirculator (const TopologyKernel *_mesh, const HalfFaceHandle &_ih, int _max_laps=1)
bool | operator== (const BaseCirculator &_c) const
bool | operator!= (const BaseCirculator &_c) const
bool | operator< (const BaseCirculator &_c) const
BaseCirculator & | operator= (const BaseCirculator &_c)
const HalfFaceHandle & | ref_handle () const
void | lap (int _lap)
int | lap () const
void | max_laps (int _max_laps)
int | max_laps () const
Public Member Functions inherited from OpenVolumeMesh::BaseIterator< HalfFaceHandle >
| BaseIterator (const TopologyKernel *_mesh, const HalfFaceHandle &_ch)
| BaseIterator (const TopologyKernel *_mesh)
bool | operator== (const BaseIterator &_c) const
bool | operator!= (const BaseIterator &_c) const
pointer | operator-> () const
reference | operator* () const
bool | operator< (const BaseIterator &_c) const
BaseIterator & | operator= (const BaseIterator &_c)
| operator bool () const
void | valid (bool _valid)
bool | valid () const
void | cur_handle (const HalfFaceHandle &_h)
reference | cur_handle () const
const TopologyKernel * | mesh () const

## Private Types
typedef BaseCirculator < HalfFaceHandle, HalfFaceHandle > | BaseIter

## Private Attributes
std::vector< HalfFaceHandle > | neighbor_halffaces_
std::vector< EdgeHandle > | common_edges_
size_t | cur_index_

## Additional Inherited Members
Public Types inherited from OpenVolumeMesh::BaseCirculator< HalfFaceHandle, HalfFaceHandle >
typedef BaseIterator < HalfFaceHandle > | BaseIter
Public Types inherited from OpenVolumeMesh::BaseIterator< HalfFaceHandle >
typedef std::bidirectional_iterator_tag | iterator_category
typedef int | difference_type
typedef const HalfFaceHandle | value_type
typedef const HalfFaceHandle * | pointer
typedef const HalfFaceHandle & | reference
Protected Attributes inherited from OpenVolumeMesh::BaseCirculator< HalfFaceHandle, HalfFaceHandle >
int | lap_
int | max_laps_
HalfFaceHandle | ref_handle_

## Detailed Description

Definition at line 626 of file Iterators.hh.

The documentation for this class was generated from the following files:

- libs_required/OpenVolumeMesh/src/OpenVolumeMesh/Core/Iterators.hh
- libs_required/OpenVolumeMesh/src/OpenVolumeMesh/Core/Iterators.cc